#use appimage

Name:           purei
Version:        0.54
Release:        %mkrel 1
Summary:        Play! is a portable PlayStation2 emulator
Group:		Emulators
License:        Freeware
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://purei.org/
Source1:        %{name}.desktop
Source2:        %{name}.png
#-----------------------------------------------------------------

%description
Play! is a portable PlayStation2 emulator. The focus of the project is on making PlayStation2 emulation easy and accessible. Just pop in your favorite game's disc and have fun!

*No BIOS required. Play! is an high-level emulator.
*Easy configuration. No custom settings to fix specific games.
*Available on many platforms. Making sure the experience is the same everywhere.



%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://s3.us-east-2.amazonaws.com/playbuilds/33204c1a/Play!-33204c1a-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/Play!-33204c1a-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%changelog

* Tue Jul 19 2022 Agent Smith <ruidobranco@yahoo.com.br> - 0.54-1pclos2022
- Updated package from appimage.

* Fri Apr 22 2022 Agent Smith <ruidobranco@yahoo.com.br> - 0.51-1pclos2022
- Updated package from appimage.

* Fri Mar 25 2022 Agent Smith <ruidobranco@yahoo.com.br> - 0.50-1pclos2022
- Updated package from appimage.

* Thu Feb 17 2022 Agent Smith <ruidobranco@yahoo.com.br> - 0.49-1pclos2022
- Updated package from appimage.

* Wed Dec 29 2021 Agent Smith <ruidobranco@yahoo.com.br> - 0.47-1pclos2022
- Created pkg from appimage.
